#ifndef _PLATFORM_
#define _PLATFORM_
typedef struct Platform Platform;
#include "common.h"
#include "block.h"
#include "render.h"
struct Platform {
    Block super;
    bool moving;
    int wait;
    float last_y, last_last_y;
};
Block* platform_allocate(void);
void platform_tick(Block * super);
void platform_touch(Block * super, Block * other, float dx, float dy, float dz);
void stop(Block * super);
#endif
